## vdens 0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project("vdens"
    DESCRIPTION "create user namespaces connected to vde networks"
    HOMEPAGE_URL "https://github.com/rd235/vdens"
		VERSION 0.1
    LANGUAGES C)

include(GNUInstallDirs)
include(CheckIncludeFile)
set(CMAKE_REQUIRED_QUIET TRUE)
set(LIBS_REQUIRED vdeplug cap execs)
set(HEADERS_REQUIRED libvdeplug.h sys/capability.h execs.h)

foreach(THISLIB IN LISTS LIBS_REQUIRED)
	find_library(LIB${THISLIB}_OK ${THISLIB})
	if(NOT LIB${THISLIB}_OK)
		message(FATAL_ERROR "library lib${THISLIB} not found")
	endif()
endforeach(THISLIB)

foreach(HEADER IN LISTS HEADERS_REQUIRED)
	check_include_file(${HEADER} ${HEADER}_OK)
	if(NOT ${HEADER}_OK)
		message(FATAL_ERROR "header file ${HEADER} not found")
	endif()
endforeach(HEADER)

add_definitions(-D_GNU_SOURCE)
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

add_executable(vdens vdens.c)
target_link_libraries(vdens -lcap -lexecs -lvdeplug)

install(TARGETS vdens DESTINATION ${CMAKE_INSTALL_BINDIR})

file(GLOB MAN1_PAGES ${CMAKE_CURRENT_SOURCE_DIR}/*.1)

install(FILES ${MAN1_PAGES} DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

=== debian/changelog ===
vdens (0.2-1) unstable; urgency=medium

  * New upstream release.
  * Fix ia64 failed build.
  * Set Debian VirtualSquare Team as Maintainer.
  * Add Mattia Biondi, Renzo Davoli, Andrea Capriotti as Uploaders.

 -- Andrea Capriotti <capriott@debian.org>  Thu, 30 Jan 2020 22:05:39 +0100

vdens (0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #948177)

 -- Renzo Davoli <renzo@cs.unibo.it>  Sun, 06 Oct 2019 16:34:23 +0200

=== debian/control ===
Source: vdens
Priority: optional
Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
Uploaders: Mattia Biondi <mattia.biondi3@studio.unibo.it>, Renzo Davoli <renzo@cs.unibo.it>, Andrea Capriotti <capriott@debian.org>
Build-Depends: cmake (>= 3.12), debhelper-compat (= 12), libcap-dev, libexecs-dev, libvdeplug-dev
Standards-Version: 4.4.1
Section: net
Homepage: http://www.virtualsquare.org/
Vcs-Browser: https://salsa.debian.org/virtualsquare-team/vdens
Vcs-Git: https://salsa.debian.org/virtualsquare-team/vdens.git

Package: vdens
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcap2, libvdeplug2, libexecs0
Description: Create User Namespaces.
 Create User Namespaces connected to VDE networks.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

override_dh_auto_install:
	dh_auto_install --dest debian/tmp

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%vdens-$1.tar.gz%" \
   https://github.com/rd235/vdens/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## vdens 0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.25)
 project("vdens"
     DESCRIPTION "create user namespaces connected to vde networks"
     HOMEPAGE_URL "https://github.com/rd235/vdens"
-		VERSION 0.1
+		VERSION 0.3
     LANGUAGES C)
 
 include(GNUInstallDirs)
@@ -29,10 +29,13 @@
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
 
 add_executable(vdens vdens.c)
-target_link_libraries(vdens -lcap -lexecs -lvdeplug)
+target_link_libraries(vdens cap execs vdeplug)
 
 install(TARGETS vdens DESTINATION ${CMAKE_INSTALL_BINDIR})
 
 file(GLOB MAN1_PAGES ${CMAKE_CURRENT_SOURCE_DIR}/*.1)
 
 install(FILES ${MAN1_PAGES} DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
+
+add_custom_target(uninstall
+  "${CMAKE_COMMAND}" -P "${PROJECT_SOURCE_DIR}/Uninstall.cmake")

=== debian/changelog ===
vdens (0.3-1) unstable; urgency=medium

  * upstream 0.3 (Closes: #1113610)

 -- Renzo Davoli <renzo@cs.unibo.it>  Tue, 28 Oct 2025 15:48:32 +0100

vdens (0.2-2) unstable; urgency=medium

  [ Mattia Biondi ]
  * Change email address in Uploaders.

  [ Renzo Davoli ]
  * d/control:
    + delete explicit lib deps, covered by shlibs:Depends
    + Bump debhelper compat level to 13.
    + Bump Standard version to 4.6.2.
    + Improve the package description
    + Set Rules-Requires-Root: no.
  * Update copyright.

  [ Mattia Rizzolo ]
  * d/watch: drop unneeded uupdate call and filenamemangle rule.

 -- Renzo Davoli <renzo@cs.unibo.it>  Sat, 24 Jun 2023 10:57:29 +0200

=== debian/control ===
Source: vdens
Priority: optional
Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
Uploaders: Mattia Biondi <mattiabiondi1@gmail.com>, Renzo Davoli <renzo@cs.unibo.it>, Andrea Capriotti <capriott@debian.org>
Build-Depends: cmake (>= 3.12), debhelper-compat (= 13), libcap-dev, libexecs-dev, libvdeplug-dev
Standards-Version: 4.7.2
Section: net
Homepage: http://www.virtualsquare.org/
Vcs-Browser: https://salsa.debian.org/virtualsquare-team/vdens
Vcs-Git: https://salsa.debian.org/virtualsquare-team/vdens.git
Rules-Requires-Root: no

Package: vdens
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Create VDE user network namespaces
 Create user network namespaces connected to VDE networks
 .
 The vdens command starts a process connected to one, none or
 many VDE networks (see vdens(1))

=== debian/rules ===
--- 
+++ 
@@ -17,4 +17,4 @@
 	dh $@
 
 override_dh_auto_install:
-	dh_auto_install --dest debian/tmp
+	dh_auto_install --destdir debian/tmp

=== debian/watch ===
version=4

https://github.com/rd235/vdens/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
